Upsert contract records
curl --request PUT \
--url https://api.tomorro.com/v2/custom-objects/{customObjectId}/contract/{contractId}/records \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"records": [
{
"id": null,
"fromCatalogRecordId": null,
"fields": [
{
"smartFieldId": "550e8400-e29b-41d4-a716-446655440000",
"value": "INV-2026-001"
}
]
}
]
}
'import requests
url = "https://api.tomorro.com/v2/custom-objects/{customObjectId}/contract/{contractId}/records"
payload = { "records": [
{
"id": None,
"fromCatalogRecordId": None,
"fields": [
{
"smartFieldId": "550e8400-e29b-41d4-a716-446655440000",
"value": "INV-2026-001"
}
]
}
] }
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
records: [
{
id: null,
fromCatalogRecordId: null,
fields: [{smartFieldId: '550e8400-e29b-41d4-a716-446655440000', value: 'INV-2026-001'}]
}
]
})
};
fetch('https://api.tomorro.com/v2/custom-objects/{customObjectId}/contract/{contractId}/records', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Custom Objects
Upsert contract records
Creates or updates contract records for a given custom object. Requires contract membership.
PUT
/
custom-objects
/
{customObjectId}
/
contract
/
{contractId}
/
records
Upsert contract records
Authorizations
API key for authentication. Get your key at https://app.tomorro.com/settings/integrations?integration=api-key
Path Parameters
The unique identifier (UUID) of the custom object
Example:
"550e8400-e29b-41d4-a716-446655440000"
The unique identifier (UUID) of the contract
Example:
"550e8400-e29b-41d4-a716-446655440000"
Body
application/json
The records to create or update.
Show child attributes
Show child attributes
Example:
[
{
"id": null,
"fromCatalogRecordId": null,
"fields": [
{
"smartFieldId": "550e8400-e29b-41d4-a716-446655440000",
"value": "INV-2026-001"
}
]
}
]
Response
Contract records upserted successfully
⌘I